Library Version 11.2.5.3

DbSequence::initial_value()
Prev | Chapter 12. The DbSequence Handle | Next

## DbSequence::initial_value()

    #include <db_cxx.h>

    int
    DbSequence::initial_value(db_seq_t value);

Set the initial value for a sequence. This call is only effective when the sequence is being created.

The `DbSequence::initial_value()` method may not be called after the DbSequence::open() method is called.

The `DbSequence::initial_value()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### value

The initial value to set.

### Errors

The `DbSequence::initial_value()` method may fail and throw a DbException exception, encapsulating one of the following non-zero errors, or return one of the following non-zero errors:

#### EINVAL

An invalid flag value or parameter was specified.

### Class

DbSequence

### See Also

Sequences and Related Methods

Prev | Up | Next
DbSequence::get_range() | Home | DbSequence::open()